//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//=======================================================================
#ifndef _SAMPLEFRAME_
#include "SampleFrm.h"			// CSampleFrame
#endif

#ifndef SAMPLEPRT_H
#include "SamplePrt.h"			// CSamplePart
#endif

#ifndef CONSTANT_H
#include "Constant.h"			// my menu command numbers
#endif

// ----- Framework Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"				// FW_CFacetContext, FW_Beep()
#endif

// ----- Graphic Includes -----
#ifndef FWRECT_H
#include <FWRect.h>				// FW_CRect
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

#ifndef SOM_DevUniv_STalker_xh
#include "STalker.xh"			// for STalker
#endif 

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment Sample
#endif

const FW_Boolean kWaitUntilDone = TRUE;	// don't return until talking is finished.

//========================================================================================
CSampleFrame::CSampleFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CSamplePart* samplePart)
  : FW_CFrame(ev, odFrame, presentation, samplePart),
  	fSOMTalker(NULL)
{
#ifdef FW_BUILD_MAC					// can we do text-to-speech on Windows?
	fSOMTalker = new DevUniv_STalker;	
	fSOMTalker->SayString(ev, "I use ODF", !kWaitUntilDone);	// say it!
#endif
}

//----------------------------------------------------------------------------------------
CSampleFrame::~CSampleFrame()
{
#ifdef FW_BUILD_MAC
	delete fSOMTalker;
#endif
}

//----------------------------------------------------------------------------------------
void 
CSampleFrame::Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape)	// Override
{
	FW_CViewContext context(ev, this, odFacet, invalidShape);
	FW_CRect frameRect = this->GetBounds(ev);

	// fill frame with green  
	FW_CRectShape rectShape(frameRect, FW_kFill);
	rectShape.GetInk()->SetForeColor(FW_kRGBGreen);
	rectShape.Render(context);
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CSampleFrame::DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent)
{	
	FW_UNUSED(ev);
	FW_UNUSED(theMouseEvent);
#ifdef FW_BUILD_MAC
	fSOMTalker->SayString(ev, "Oh Boy", !kWaitUntilDone);	// say it!
#endif
	return TRUE;	// we handled event
}
